<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GroupResultV2 StructType
 * @subpackage Structs
 */
class GroupResultV2 extends GroupBase
{
    /**
     * The SubGroups
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfSubGroupResultV2
     */
    public $SubGroups;
    /**
     * Constructor method for GroupResultV2
     * @uses GroupResultV2::setSubGroups()
     * @param \ArrayType\ArrayOfSubGroupResultV2 $subGroups
     */
    public function __construct(\ArrayType\ArrayOfSubGroupResultV2 $subGroups = null)
    {
        $this
            ->setSubGroups($subGroups);
    }
    /**
     * Get SubGroups value
     * @return \ArrayType\ArrayOfSubGroupResultV2|null
     */
    public function getSubGroups()
    {
        return $this->SubGroups;
    }
    /**
     * Set SubGroups value
     * @param \ArrayType\ArrayOfSubGroupResultV2 $subGroups
     * @return \StructType\GroupResultV2
     */
    public function setSubGroups(\ArrayType\ArrayOfSubGroupResultV2 $subGroups = null)
    {
        $this->SubGroups = $subGroups;
        return $this;
    }
}
